<?php

namespace App\DataFixtures;

use App\Factory\UserFactory;
use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Persistence\ObjectManager;
use Symfony\Bundle\FrameworkBundle\Console\Application;
use Symfony\Component\Console\Input\ArrayInput;
use Symfony\Component\Console\Output\BufferedOutput;
use Symfony\Component\HttpKernel\KernelInterface;

class AppFixtures extends Fixture
{
    CONST ADMIN_USER = 'ogadmin';


    public function __construct(
        private readonly KernelInterface $kernel,
    )
    {
    }

    /**
     * @throws \Exception
     */
    public function load(ObjectManager $manager): void
    {
        UserFactory::createOne(['username' => self::ADMIN_USER]);

        $application = new Application($this->kernel);

        $input = new ArrayInput([
            'command' => 'app:load-default-user-groups'
        ]);

        $output = new BufferedOutput();
        $application->run($input, $output);
    }
}
